Page 13 of 25 FirstFirst ... 3111213141523 ... LastLast
Results 121 to 130 of 241

Thread: Update problem

  1. #121
    Join Date
    Jun 2008
    Location
    Up state NY Southern Tier
    Beans
    Hidden!
    Distro
    Ubuntu 14.04 Trusty Tahr

    Re: Update problem

    Quote Originally Posted by Bashing-om View Post
    Shobuz99; Not to be that-a-way ( embarrassing);

    When one has no need to know ... one does not know... always fixable !
    Situation at hand is looking for files in relation to Netflix and it's aliases ...
    I hope the package manager IS holding out on us ..
    for that long output of a command .. just to look -> do:
    Code:
    ls -la /var/lib/dpkg/info | less
    cat /var/lib/dpkg/status | less
    which takes the output of the "ls" command and inputs that into the paging utility "less".
    There are other means to search for strings within a file .. but;
    Seeing as how we have nothing definite to search for, best means I know of, -- take a slow gander at all of it ..
    Unless you see something that you do not understand .. there is no need at this time to post it back ... now if you do find Netflix/wine-compholio or others of interest .. I do intend to remove that entire stanza (in the status file) ,, if it is in "/var/lib/dpkg/info" will have to think about what action to recommend.

    believe me I have been intent on finding a solution and remain committed to this end
    Thank you for the words of encouragement.
    I tried the "ls -la /var/lib/dpkg/info | less" command first.
    I looked for "netflix" "wine-compholio" and "wine-browser-installer".
    Did not see any of them...however, I wasn't aware of the search option.
    Then I tried the "cat /var/lib/dpkg/status | less" command.
    At first I was frustrated by the amount of packages to sort through...
    Then I discovered the search option and searched for netflix... JACKPOT!:

    Code:
    Package: netflix-desktop
    Status: deinstall ok installed
    Priority: optional
    Section: video
    Installed-Size: 88
    Maintainer: Erich E. Hoover <ehoover@mines.edu>
    Architecture: all
    Version: 0.7.0~lucid
    Depends: wine-browser-installer
    Pre-Depends: dpkg (>= 1.14.12ubuntu3)
    Description: provides a convient tool that downloads and installs all of the components necessary to run Netflix Desktop under Wine.
     This includes the Windows version of Mozilla Firefox and Microsoft Silverlight v4. The package also includes some convience settings to integrate  into Firefox in such a way that everything feels like a native Ubuntu application.
     .
     Neither this package or its author is affliated with, endorsed, provided, or supported in any way by
     .
     Netflix Desktop is a trademark of
     Mozilla and Mozilla Firefox are trademarks of the Mozilla Corporation.
     Microsoft and Microsoft Silverlight are trademarks of the Microsoft Corporation.
    Next I searched for Wine-Browser-Installer:

    Code:
    Package: wine-browser-installer
    Status: install ok installed
    Priority: optional
    Section: video
    Installed-Size: 980
    Maintainer: Erich E. Hoover <ehoover@mines.edu>
    Architecture: amd64
    Source: netflix-desktop
    Version: 0.7.0~lucid
    Replaces: netflix-desktop (<< 0.6.0~)
    Depends: wine-compholio (>= 1.5.19~lucid1), ttf-mscorefonts-installer, mesa-utils, wget, zenity
    Pre-Depends: dpkg (>= 1.14.12ubuntu3)
    Breaks: netflix-desktop (<< 0.6.0~)
    Description: The Wine Browser Installer provides a tool for multiple packages to provide access to web services that can be run with Mozilla Firefox under Wine.
     .
     Mozilla and Mozilla Firefox are trademarks of the Mozilla Corporation.
    Multi-Arch: allowed
    Next I searched for wine-compholio:

    Code:
    Package: wine-compholio
    Status: deinstall reinstreq half-installed
    Priority: optional
    Section: otherosfs
    Installed-Size: 140672
    Maintainer: Erich E. Hoover <ehoover@mines.edu>
    Architecture: amd64
    Version: 1.5.30~lucid
    Config-Version: 1.5.30~lucid
    Provides: wine-compholio
    Depends: ia32-libs (>= 1.6), lib32asound2 (>> 1.0.14), libc6-i386 (>= 2.6-1), lib32nss-mdns (>= 0.10-3), libasound2-plugins, libncurses5
    Pre-Depends: dpkg (>= 1.14.12ubuntu3)
    Recommends: gettext, libcapi20-3, libcups2, libdbus-1-3, libfontconfig1 | libfontconfig, libfreetype6, libgif4, libgnutls26, libgphoto2-2 (>= 2.4.6), libgphoto2-port0 (>= 2.4.6), libjpeg8, libopenal1 (>= 1:1.12), libosmesa6, libpng12-0, libpulse0, libsane, libssl1.0.0, libtiff4, libv4l-0, libxcomposite1, libxcursor1, libxi6, libxinerama1, libxrandr2, libxrender1, libxslt1.1, libxt6, libxxf86vm1, unixodbc
    Description: The Compholio Edition is a special build of the popular Wine software
     with patches representing my current staging tree for Wine.
     Currently these patches fix:
      * Netflix on Firefox hangs with loading bar at 100% (Bug 31993).
      * Netflix on Firefox fails with Internet Connection Problem when loading bar is
     at 99% (Bug 31858).
     .
     Microsoft Windows Compatibility Layer (Binary Emulator and Library)
     Wine is a compatibility layer for running Windows applications on Linux.
     Applications are run at full speed without the need of cpu emulation. Wine
     does not require Microsoft Windows, however it can use native system dll
     files in place of its own if they are available.
     .
     This package includes a program loader for running unmodified Windows executables
     as well as the Wine project's free version of the Windows API for running programs
     ported from Windows.
     .
     This package is based on a recent Wine beta.  While many more applications will
     work, there may be some loss of functionality compared with the stable release
     provided by the regular wine package.
    Multi-Arch: foreign
    Original-Maintainer: Scott Ritchie <scottritchie@ubuntu.com>

    So then I went back to the "info" command and did a search.
    And to my surprise, NONE of those 3 packages were listed in the "info" list.
    I searched through it for each package. Results: "Pattern not found. (press RETURN)"

    So... What does that mean? I am intrigued now!!

    Shobuz99

  2. #122
    Join Date
    Jul 2010
    Location
    ozarks, Arkansas, USA
    Beans
    11,950
    Distro
    Xubuntu 16.04 Xenial Xerus

    Re: Update problem

    Shobuz99; OK !

    We are going to say that things got done behind the package manager's back .. such that the package manager was not aware of what had changed; thus the data base does not reflect what is true.
    So, let's fix that data base !
    Make sure - once more - that none of those packages/files exist on the system .. then:
    Edit the file /var/lib/dpkg/status , look for the listing for the removed package/files, remove the entire info stanza for those packages.
    Save the file "/var/lib/dpkg/status" ...->
    Now let us see if the package manager is happy;
    Code:
    sudo apt-get update
    sudo apt-get upgrade
    AND see about any further cleanup to be done,

    are we there yet
    THE current(cy) in Documentation:
    https://help.ubuntu.com/community/PopularPages

    Happy ubuntu'n !

  3. #123
    Join Date
    Jun 2008
    Location
    Up state NY Southern Tier
    Beans
    Hidden!
    Distro
    Ubuntu 14.04 Trusty Tahr

    Re: Update problem

    You give me way too much credit.

    1) What command do I use to once again,"Make sure - once more - that none of those packages/files exist on the system .."
    2) I assume I edit the "Status" file using gedit; "sudo gedit /var/lib/dpkg/status" correct?
    3) What do I change in the Status file as I edit it?

    I want to do this gently and not make any mistakes.
    I've dealt with DB's before and editing them can be tricky!

    So please indulge me with some commands to get going.
    I'll do the work and get the results.
    I don't want to guess what to do, at this point, though.

    thanks
    Shobuz99

  4. #124
    Join Date
    Jul 2007
    Location
    UK
    Beans
    17,055
    Distro
    Ubuntu Development Release

    Re: Update problem

    OT.

    Robert Fripp is an awesome guitarist. Still love 21st century schizoid man. I got the vinyl.

  5. #125
    Join Date
    Jul 2010
    Location
    ozarks, Arkansas, USA
    Beans
    11,950
    Distro
    Xubuntu 16.04 Xenial Xerus

    Re: Update problem

    Shobuz99; Hey .. credit .. you are doing well, you have come a long way and we have learned a lot ...
    Now we know that "/var/lib/dpkg/status" data base is not true ... for a fact .. we know all those files are gone bye-bye.
    Edit the file: yes with "gedit" -> always make it a habit to make a backup first of any file you are editing .. Murphy's Law always applies !
    Code:
    sudo cp /var/lib/dpkg/status /var/lib/dpkg/status-old
    gksudo gedit  /var/lib/dpkg/status
    you get admin rights to change a system file .."gksudo" is the graphical equivalent to do so in a GUI application.
    As an example, for every file in that database that you find relating to Netflix .. remove that whole paragraph (stanza)
    - highlight it and choose "cut" from the context right click options-
    x@lists.debian.org>

    Package: tcpd
    Status: install ok installed
    Priority: optional
    Section: net
    Installed-Size: 111
    Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
    Architecture: amd64
    Multi-Arch: foreign
    Source: tcp-wrappers
    Version: 7.6.q-24
    Replaces: libwrap0 (<< 7.6-8)
    Depends: libc6 (>= 2.4), libwrap0 (>= 7.6-4~)
    Description: Wietse Venema's TCP wrapper utilities
    Wietse Venema's network logger, also known as TCPD or LOG_TCP.
    .
    These programs log the client host name of incoming telnet,
    ftp, rsh, rlogin, finger etc. requests.
    .
    Security options are:
    - access control per host, domain and/or service;
    - detection of host name spoofing or host address spoofing;
    - booby traps to implement an early-warning system.
    Original-Maintainer: Marco d'Itri <md@linux.it>

    Package: libnotify-bin
    Status: install ok installed
    Priority: optional
    Section: utils
    Installed-Size: 68
    Let's say the package we are interested in "fixing" is tcpd ....we would "cut" out everything from the end of "x@lists.debian.org>" starting at "Package: tcpd" removing all until the start of the next package info section, in this case -" Package: libnotify-bin".

    Do this for each and every instance of a reference to any files associated with Netflix. As those files no longer exist on the system, manually updating the data base is the thing to do.
    In a separate terminal just do a find for that instance of the "filename" to make positive sure it is gone gone - or make it so - and delete that stanza !

    Slow, tedious and time consuming ... but it gets the job done ... one item at a time.

    progressing toward the end
    Last edited by Bashing-om; August 18th, 2013 at 08:42 PM. Reason: highlight-cut
    THE current(cy) in Documentation:
    https://help.ubuntu.com/community/PopularPages

    Happy ubuntu'n !

  6. #126
    Join Date
    Jun 2008
    Location
    Up state NY Southern Tier
    Beans
    Hidden!
    Distro
    Ubuntu 14.04 Trusty Tahr

    Re: Update problem

    Quote Originally Posted by philinux View Post
    OT.

    Robert Fripp is an awesome guitarist. Still love 21st century schizoid man. I got the vinyl.
    OT reply:
    Cool! I bought the vinyl shortly after it came out.
    Then lost it and didn't get another copy until that late 1970's.
    I also bought the 2nd album "In The_Wake_of_Poseidon" also in the late 1970's.

    "In The_Wake_of_Poseidon" has a similar theme and structure to 21st Century Schizoid Man, musically.
    I was always enamoured by the fusion of rock, jazz, and folk in these two albums.
    Being a musician and lead vocalist myself (since 1964), I had wanted to perform a cover of some of those tunes
    with some competent players....but never found anyone good enough to do that music.
    I mean who can copy Robert Fripp? Seriously.
    So I stuck with Rock_&_Roll, R&B, and Classic Rock.

    Thanks for the OT comment. And for your help with this predicament of mine.
    I must acknowledge Bashing-Om as a real life saver here. He's stuck with me for 2 weeks!!!!
    This is unprecedented. I sincerely appreciate his help and knowledge, as an old geek from the days
    of the "planet IBM mainframe" Pre-PC era (1974)...

    Shobuz99

  7. #127
    Join Date
    Jun 2008
    Location
    Up state NY Southern Tier
    Beans
    Hidden!
    Distro
    Ubuntu 14.04 Trusty Tahr

    Re: Update problem

    Ok. Here is what I did.
    I created a backup of 'Status', as Status-old.
    I edited Status and I followed your instructions and successfully removed ALL packages that referred to Netflix.
    There were only 3: NetFlix-desktop, Wine-Compholio, and Wine-Browser-Installer.

    Next I ran "sudo apt-get update" All went well.
    Next I ran:

    Code:
    rick@rick-desktop:~$ sudo apt-get upgrade
    Reading package lists... Done
    Building dependency tree       
    Reading state information... Done
    You might want to run `apt-get -f install' to correct these.
    The following packages have unmet dependencies:
      gnome-terminal: Depends: gnome-terminal-data (>= 2.30) but it is not installed
                      Depends: gnome-terminal-data (< 2.31) but it is not installed
      libgnomevfs2-common: Depends: gnome-mime-data but it is not installed
    E: Unmet dependencies. Try using -f.
    I decided to continue and run:

    Code:
    rick@rick-desktop:~$ sudo apt-get -f install
    Reading package lists... Done
    Building dependency tree       
    Reading state information... Done
    Correcting dependencies... Done
    The following packages were automatically installed and are no longer required:
      libnumber-compare-perl libopal3.6.6 libxml++2.6-2 python-twisted-mail ubufox
      python-twisted-lore odbcinst1debian1 python-twisted-news
      libfile-find-rule-perl python-twisted-conch python-twisted-words libslv2-9
      libcapi20-3 odbcinst python-twisted unixodbc gettext rtkit libosmesa6 cvs
      libffado2 libtext-glob-perl libgnomecanvasmm-2.6-1c2a libpt2.6.5 liblo7
      libaubio2 python-twisted-runner liblrdf0 python-pyasn1
    Use 'apt-get autoremove' to remove them.
    The following extra packages will be installed:
      gnome-mime-data gnome-terminal-data
    The following NEW packages will be installed:
      gnome-mime-data gnome-terminal-data
    0 upgraded, 2 newly installed, 0 to remove and 0 not upgraded.
    Need to get 452kB of archives.
    After this operation, 14.0MB of additional disk space will be used.
    Do you want to continue [Y/n]? y
    Get:1 http://old-releases.ubuntu.com/ubuntu/ lucid/main gnome-mime-data 2.18.0-1 [362kB]
    Get:2 http://old-releases.ubuntu.com/ubuntu/ lucid-updates/main gnome-terminal-data 2.30.2-0ubuntu1 [90.1kB]
    Fetched 452kB in 1s (381kB/s)               
    Selecting previously deselected package gnome-mime-data.
    (Reading database ... 
    dpkg: warning: files list file for package `icedtea-6-jre-cacao' missing, assuming package has no files currently installed.
    
    dpkg: warning: files list file for package `openjdk-6-jre-lib' missing, assuming package has no files currently installed.
    (Reading database ... 95%dpkg: unrecoverable fatal error, aborting:
     files list file for package `openjdk-6-jre-headless' contains empty filename
    E: Sub-process /usr/bin/dpkg returned an error code (2)
    rick@rick-desktop:~$
    I assumed that icedtea was "missing", so I ran a search in 'Status' where I found:
    Code:
    Package: icedtea-netx
    Status: install ok installed
    Priority: extra
    Section: java
    Installed-Size: 768
    Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
    Architecture: amd64
    Source: icedtea-web
    Version: 1.2.3-0ubuntu0.10.04.1
    Replaces: openjdk-6-jre (<< 6b21.2~pre1-1~), openjdk-6-jre-headless (<< 6b18-1.8.7-3)
    Depends: openjdk-6-jre (>= 6b23~pre10~) | openjdk-7-jre
    Conflicts: openjdk-6-jre (<< 6b21.2~pre1-1~), openjdk-6-jre-headless (<< 6b18-1.8.7-3)
    Conffiles:
     /etc/icedtea-web/javaws.policy 01f40304afd5978f8cae1f891190ec17
    Description: NetX - implementation of the Java Network Launching Protocol (JNLP)
     NetX provides a drop-in replacement for javaws (Java Web Start). Since
     upstream NetX is dormant, IcedTea is hosting and modifying the sources
     in the IcedTea-Web directory.
     .
     IcedTea's NetX currently supports verification of signed jars, trusted
     certificate storing, system certificate store checking, and provides
     the services specified by the jnlp API.
    Homepage: http://icedtea.classpath.org/wiki/IcedTea-Web
    Original-Maintainer: OpenJDK Team <openjdk@lists.launchpad.net>
    I also searched for "openjdk" in 'status':

    Code:
    Package: icedtea-netx
    Status: install ok installed
    Priority: extra
    Section: java
    Installed-Size: 768
    Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
    Architecture: amd64
    Source: icedtea-web
    Version: 1.2.3-0ubuntu0.10.04.1
    Replaces: openjdk-6-jre (<< 6b21.2~pre1-1~), openjdk-6-jre-headless (<< 6b18-1.8.7-3)
    Depends: openjdk-6-jre (>= 6b23~pre10~) | openjdk-7-jre
    Conflicts: openjdk-6-jre (<< 6b21.2~pre1-1~), openjdk-6-jre-headless (<< 6b18-1.8.7-3)
    Conffiles:
     /etc/icedtea-web/javaws.policy 01f40304afd5978f8cae1f891190ec17
    Description: NetX - implementation of the Java Network Launching Protocol (JNLP)
     NetX provides a drop-in replacement for javaws (Java Web Start). Since
     upstream NetX is dormant, IcedTea is hosting and modifying the sources
     in the IcedTea-Web directory.
     .
     IcedTea's NetX currently supports verification of signed jars, trusted
     certificate storing, system certificate store checking, and provides
     the services specified by the jnlp API.
    Homepage: http://icedtea.classpath.org/wiki/IcedTea-Web
    Original-Maintainer: OpenJDK Team <openjdk@lists.launchpad.net>
    Next I looked in 'info' for openjdk:

    Code:
    -rw-r--r-- 1 root root    872 2013-04-25 12:53 openjdk-6-jre-headless.conffiles
    -rw-r--r-- 1 root root   9116 2013-05-08 14:53 openjdk-6-jre-headless.list
    -rw-r--r-- 1 root root   6555 2013-04-25 12:53 openjdk-6-jre-headless.md5sums
    -rwxr-xr-x 1 root root   3652 2013-04-25 12:53 openjdk-6-jre-headless.postinst
    -rwxr-xr-x 1 root root    319 2013-04-25 12:53 openjdk-6-jre-headless.postrm
    -rwxr-xr-x 1 root root    721 2013-04-25 12:53 openjdk-6-jre-headless.preinst
    -rwxr-xr-x 1 root root    668 2013-04-25 12:53 openjdk-6-jre-headless.prerm
    -rwxr-xr-x 1 root root    265 2013-05-12 08:06 openjdk-6-jre-lib.md5sums
    -rw-r--r-- 1 root root      0 2013-05-11 16:54 openjdk-6-jre-lib.postinst
    -rw-r--r-- 1 root root   2276 2013-05-08 14:53 openjdk-6-jre.list
    -rw-r--r-- 1 root root   1594 2013-04-25 12:53 openjdk-6-jre.md5sums
    -rwxr-xr-x 1 root root   1678 2013-04-25 12:53 openjdk-6-jre.postinst
    -rwxr-xr-x 1 root root    160 2013-04-25 12:53 openjdk-6-jre.postrm
    -rwxr-xr-x 1 root root    832 2013-04-25 12:53 openjdk-6-jre.preinst
    -rwxr-xr-x 1 root root    226 2013-04-25 12:53 openjdk-6-jre.prerm
    and icedtea:

    Code:
    -rwxr-xr-x 1 root root    574 2013-05-12 08:06 icedtea-6-jre-cacao.md5sums
    -rw-r--r-- 1 root root     31 2013-04-17 19:28 icedtea-netx.conffiles
    -rw-r--r-- 1 root root   1964 2013-04-19 19:34 icedtea-netx.list
    -rw-r--r-- 1 root root   1649 2013-04-17 19:28 icedtea-netx.md5sums
    -rwxr-xr-x 1 root root   1904 2013-04-17 19:28 icedtea-netx.postinst
    -rwxr-xr-x 1 root root    765 2013-04-17 19:28 icedtea-netx.preinst
    -rwxr-xr-x 1 root root    357 2013-04-17 19:28 icedtea-netx.prerm
    So...Both pkgs exist in both places info and status...
    Why is there an error and an "empty filename" error, too???

    I bet you have an answer.... I hope you have an answer!!
    ..... so close but yet so far away....
    Shobuz99

    UPDATE: Update manager WORKS!!!!! No Error!!!

    It asks me to install two pkgs: "gnome-terminal-data" and "gnome-mime-data"
    The weird thing is that the download size says "0 KB"

    I will wait for your instructions before I "install" those packages from Update Manager!!!
    Last edited by Shobuz99; August 18th, 2013 at 11:16 PM. Reason: Update manager runs no error!

  8. #128
    Join Date
    Jul 2010
    Location
    ozarks, Arkansas, USA
    Beans
    11,950
    Distro
    Xubuntu 16.04 Xenial Xerus

    Re: Update problem

    Shobuz99; Hey hey !

    Install those suckers ! Letting the Package Manager do it's thing ... taking care of the dependencies.
    as to why we are back to the package manager hollering about
    icedtea-6-jre-cacao
    openjdk-6-jre-lib
    presently do not know .. as we took care of them some time back ..

    now, are we there yet
    THE current(cy) in Documentation:
    https://help.ubuntu.com/community/PopularPages

    Happy ubuntu'n !

  9. #129
    Join Date
    Jun 2008
    Location
    Up state NY Southern Tier
    Beans
    Hidden!
    Distro
    Ubuntu 14.04 Trusty Tahr

    Re: Update problem

    Quote Originally Posted by Bashing-om View Post
    Shobuz99; Hey hey !

    Install those suckers ! Letting the Package Manager do it's thing ... taking care of the dependencies.
    as to why we are back to the package manager hollering about
    icedtea-6-jre-cacao
    openjdk-6-jre-lib
    presently do not know .. as we took care of them some time back ..

    now, are we there yet
    ok. It won't install. here are the two images of the error messages:

    1 image is from Synaptic and 1 is from Update mgr.

    I recall that we fixed those, right????

    Shobuz99
    Attached Images Attached Images

  10. #130
    Join Date
    Jul 2010
    Location
    ozarks, Arkansas, USA
    Beans
    11,950
    Distro
    Xubuntu 16.04 Xenial Xerus

    Re: Update problem

    Shobuz99; Well ..
    I do wonder how come those are coming back to haunt us ... try:
    Code:
    sudo dpkg-reconfigure openjdk-6-jre-lib
    See what results .. before taking 1 next step.

    4 steps forward and 2 back
    THE current(cy) in Documentation:
    https://help.ubuntu.com/community/PopularPages

    Happy ubuntu'n !

Page 13 of 25 FirstFirst ... 3111213141523 ... LastLast

Bookmarks

Posting Permissions

  • You may not post new threads
  • You may not post replies
  • You may not post attachments
  • You may not edit your posts
  •